version: '2'
services:
  barrel_exchange:
    image: barrel/barrel:master
    container_name: barrel_exchange
    volumes:
      - data_exchange:/barrel/data
    ports:
      - "7081:7080"
  barrel_wallet:
    image: barrel/barrel:master
    container_name: barrel_wallet
    volumes:
      - data_wallet:/barrel/data
    ports:
      - "7082:7080"
  db-exchange:
    build: barrel_demo
    working_dir: "/work/apps/exchange"
    command: "mix exchange.create_db --server http://barrel_exchange:7080 --exchange"
    links:
      - "barrel_exchange:barrel_exchange"
  db-wallet:
    build: barrel_demo
    working_dir: "/work/apps/exchange"
    command: "mix exchange.create_db --server http://barrel_wallet:7080 --wallet"
    links:
      - "barrel_wallet:barrel_wallet"
  register_web:
    build: barrel_demo
    container_name: register_web
    working_dir: "/work/apps/register_web"
    environment:
      - EXCHANGE_DB=http://barrel_exchange:7080/dbs/exchange
    command: "mix run --no-halt"
    links:
      - "barrel_exchange:barrel_exchange"
    ports:
     - "4000:4000"
  wallet_web:
    build: barrel_demo
    container_name: wallet_web
    working_dir: "/work/apps/wallet_web"
    environment:
      - WALLET_DB=http://barrel_wallet:7080/dbs/wallet
    command: "mix run --no-halt"
    links:
      - "barrel_wallet:barrel_wallet"
    ports:
      - "4001:4001"
  wallet:
    build: barrel_demo
    container_name: wallet
    working_dir: "/work/apps/wallet"
    environment:
      - EXCHANGE_DB=http://barrel_exchange:7080/dbs/exchange
      - WALLET_DB=http://barrel_wallet:7080/dbs/wallet
    command: "mix run --no-halt"
    links:
      - "barrel_exchange:barrel_exchange"
      - "barrel_wallet:barrel_wallet"
volumes:
  data_exchange:
  data_wallet:
